#include "LogComponent.h"
#include <cstdio>
#include <cstdarg>

LogComponent::LogComponent(LogHandler *pLogHandler)
: m_pLogHandler(pLogHandler)
{
}

LogComponent::~LogComponent(void)
{
}

void LogComponent::log(const char* format, ...)
{
	char log_buf[257];
	String s;
    va_list argptr;
    va_start(argptr, format);
    vsprintf(log_buf, format, argptr);
    va_end(argptr);
	s = String(log_buf);
//	m_pLogHandler->handleMessage(s);
}
